API DocumentationManufacturer customer organisation controller

Update customer organisation metadata

PATCH
/api/manufacturer/v1/organisation/{organisationId}/metadata/{metadataId}

Partially updates an existing metadata entry on a customer organisation. Only supplied fields are modified.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

organisationId*integer

ID of the organisation

Formatint64
metadataId*string

ID of the metadata entry to update

Formatuuid

Request Body

application/json
  1. body
metadataKey?string
value?string

Response Body

Metadata updated successfully

application/json
  1. response
id*string
Formatuuid
metadataKey*string
value*string
curl -X PATCH 'https://m-api.eu.phas.io/api/manufacturer/v1/organisation/1/metadata/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "metadataKey": "string",  "value": "string"}